upgrading to lucene 2.3

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

upgrading to lucene 2.3

Robert Young-5
I have heard that upgrading to lucene 2.3 in Solr 1.2 is as simple as
replacing the lucene jar and restarting. Is this the case? Has anyone
had any experience with upgrading lucene to 2.3? Did you have any
problems? Is there anything I should be looking out for?

Thanks
Rob
Reply | Threaded
Open this post in threaded view
|

Re: upgrading to lucene 2.3

Grant Ingersoll-2
Solr Trunk is using the latest Lucene version.  Also note there are a  
couple edge cases in Lucene 2.3 that are causing problems if you use  
SOLR-342 with lucenAutoCommit == false.

But, yes, you should be able to drop in 2.3, as that is one of the  
back-compatible goals for Lucene minor releases.

-Grant

On Feb 12, 2008, at 8:06 AM, Robert Young wrote:

> I have heard that upgrading to lucene 2.3 in Solr 1.2 is as simple as
> replacing the lucene jar and restarting. Is this the case? Has anyone
> had any experience with upgrading lucene to 2.3? Did you have any
> problems? Is there anything I should be looking out for?
>
> Thanks
> Rob

Reply | Threaded
Open this post in threaded view
|

Re: upgrading to lucene 2.3

Robert Young-5
ok, and to do the change I just replace the jar directly in
sorl/WEB_INF/lib and restart tomcat?

Thanks
Rob

On Feb 12, 2008 1:55 PM, Grant Ingersoll <[hidden email]> wrote:

> Solr Trunk is using the latest Lucene version.  Also note there are a
> couple edge cases in Lucene 2.3 that are causing problems if you use
> SOLR-342 with lucenAutoCommit == false.
>
> But, yes, you should be able to drop in 2.3, as that is one of the
> back-compatible goals for Lucene minor releases.
>
> -Grant
>
>
> On Feb 12, 2008, at 8:06 AM, Robert Young wrote:
>
> > I have heard that upgrading to lucene 2.3 in Solr 1.2 is as simple as
> > replacing the lucene jar and restarting. Is this the case? Has anyone
> > had any experience with upgrading lucene to 2.3? Did you have any
> > problems? Is there anything I should be looking out for?
> >
> > Thanks
> > Rob
>
>
Reply | Threaded
Open this post in threaded view
|

Re: upgrading to lucene 2.3

Yonik Seeley-2
On Feb 12, 2008 9:25 AM, Robert Young <[hidden email]> wrote:
> ok, and to do the change I just replace the jar directly in
> sorl/WEB_INF/lib and restart tomcat?

That should work.

-Yonik
Reply | Threaded
Open this post in threaded view
|

RE: upgrading to lucene 2.3

Fuad Efendi
In reply to this post by Robert Young-5
I did the same:

Stopped SOLR-1.2, replaced Lucene jars, started SOLR-1.2

No any problem.


> -----Original Message-----
> From: Robert Young [mailto:[hidden email]]
> Sent: Tuesday, February 12, 2008 9:25 AM
> To: [hidden email]
> Subject: Re: upgrading to lucene 2.3
>
>
> ok, and to do the change I just replace the jar directly in
> sorl/WEB_INF/lib and restart tomcat?
>
> Thanks
> Rob
>
> On Feb 12, 2008 1:55 PM, Grant Ingersoll <[hidden email]> wrote:
> > Solr Trunk is using the latest Lucene version.  Also note
> there are a
> > couple edge cases in Lucene 2.3 that are causing problems if you use
> > SOLR-342 with lucenAutoCommit == false.
> >
> > But, yes, you should be able to drop in 2.3, as that is one of the
> > back-compatible goals for Lucene minor releases.
> >
> > -Grant
> >
> >
> > On Feb 12, 2008, at 8:06 AM, Robert Young wrote:
> >
> > > I have heard that upgrading to lucene 2.3 in Solr 1.2 is
> as simple as
> > > replacing the lucene jar and restarting. Is this the
> case? Has anyone
> > > had any experience with upgrading lucene to 2.3? Did you have any
> > > problems? Is there anything I should be looking out for?
> > >
> > > Thanks
> > > Rob
> >
> >
>
>

Reply | Threaded
Open this post in threaded view
|

RE: upgrading to lucene 2.3

Lance Norskog-2
In reply to this post by Yonik Seeley-2
What will this improve?

-----Original Message-----
From: [hidden email] [mailto:[hidden email]] On Behalf Of Yonik Seeley
Sent: Tuesday, February 12, 2008 6:48 AM
To: [hidden email]
Subject: Re: upgrading to lucene 2.3

On Feb 12, 2008 9:25 AM, Robert Young <[hidden email]> wrote:
> ok, and to do the change I just replace the jar directly in
> sorl/WEB_INF/lib and restart tomcat?

That should work.

-Yonik

Reply | Threaded
Open this post in threaded view
|

Re: upgrading to lucene 2.3

Yonik Seeley-2
On Feb 12, 2008 1:06 PM, Lance Norskog <[hidden email]> wrote:
> What will this improve?

Text analysis may be slower since Solr won't have the changes to use
the faster Token APIs.
Indexing overall should still be faster.
Querying should see little change.

-Yonik
Reply | Threaded
Open this post in threaded view
|

Re: upgrading to lucene 2.3

Grant Ingersoll-2
See:

https://issues.apache.org/jira/browse/SOLR-330

https://issues.apache.org/jira/browse/SOLR-342

for various solutions around taking advantage of Lucene's new  
capabilities.

-Grant

On Feb 12, 2008, at 1:15 PM, Yonik Seeley wrote:

> On Feb 12, 2008 1:06 PM, Lance Norskog <[hidden email]> wrote:
>> What will this improve?
>
> Text analysis may be slower since Solr won't have the changes to use
> the faster Token APIs.
> Indexing overall should still be faster.
> Querying should see little change.
>
> -Yonik